#define SHADOW_DISTANCE			4
#define SHADOW_TRANSPARENCY		0.4
#define FILTER_SIZE				4
#define RELATION_DISTANCE		5
#define MATH_PI					3.1415296


typedef enum VCBOBJ_TYPE
{
	OBJ_CLASS = 0,
	OBJ_STRUCT
};


typedef enum ACCESS_LEVEL
{
	AL_PUBLIC = 0,
	AL_PROTECTED,
	AL_PRIVATE
};


typedef struct _VARIABLE_TYPE
{
	_TCHAR lpszVariableType[256];
	_TCHAR lpszVariableName[256];
	_TCHAR lpszVariableComment[256];
	BOOL bProperty;
	_TCHAR lpszPropertyName[256];
	BOOL bStatic;
	ACCESS_LEVEL variableAccessLevel;

} VARIABLE_TYPE;


typedef struct _METHOD_TYPE
{
	_TCHAR lpszMethodType[256];
	_TCHAR lpszMethodName[256];
	_TCHAR lpszMethodComment[256];
	BOOL bVirtual;
	BOOL bStatic;
	ACCESS_LEVEL methodAccessLevel;

} METHOD_TYPE;


typedef struct _PARENT_NODE
{
	_TCHAR lpszClassName[256];
	ACCESS_LEVEL classAccessLevel;
	_TCHAR lpszClassHeaderFile[1024];

} PARENT_NODE;
