#if !defined(AFX_CLASSDLG_H__4F4D2D91_38A3_4228_9C3D_7C7F3F1D18FE__INCLUDED_)
#define AFX_CLASSDLG_H__4F4D2D91_38A3_4228_9C3D_7C7F3F1D18FE__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// ClassDlg.h : header file
//

#include "vcb_objects/VCBClass.h"
#include "ClassOptions1.h"
#include "ClassOptions2.h"
#include "ClassOptions3.h"
#include "ClassOptions4.h"

/////////////////////////////////////////////////////////////////////////////
// CClassDlg dialog

class CClassDlg : public CDialog
{
// Construction
public:
	CClassDlg(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CClassDlg)
	enum { IDD = IDD_DIALOG_CLASS };
		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CClassDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

public:
	BOOL m_bComments;
	BOOL m_bMFCHeaders;
	int m_iClassNumber;
	PARENT_NODE* m_pClassList;
	int m_iParentNumber;
	PARENT_NODE* m_pParentList;
	int m_iMethodNumber;
	METHOD_TYPE* m_pMethodList;
	int m_iVariableNumber;
	VARIABLE_TYPE* m_pVariableList;
	_TCHAR m_lpszClassName[256];
	_TCHAR m_lpszClassHeaderFile[1024];
	_TCHAR m_lpszClassImplementationFile[1024];
	_TCHAR m_lpszAuthor[256];
	_TCHAR m_lpszDescription[1024];
	CPropertySheet m_Sheet;
	CClassOptions1 m_Options1;
	CClassOptions2 m_Options2;
	CClassOptions3 m_Options3;
	CClassOptions4 m_Options4;

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CClassDlg)
	virtual BOOL OnInitDialog();
	virtual void OnOK();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CLASSDLG_H__4F4D2D91_38A3_4228_9C3D_7C7F3F1D18FE__INCLUDED_)
